Name:          liblo
Version:       0.32
Release:       1mamba
Summary:       An implementation of the Open Sound Control protocol for POSIX systems
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://plugin.org.uk/liblo/
Source:        http://downloads.sourceforge.net/sourceforge/liblo/liblo-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
An implementation of the Open Sound Control protocol for POSIX systems, started by Steve Harris.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}:%{version}-%{release}

%description devel
An implementation of the Open Sound Control protocol for POSIX systems, started by Steve Harris.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q 

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/osc*
%{_libdir}/liblo.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/lo
%{_includedir}/lo/*.h
%{_libdir}/liblo.so
%{_libdir}/pkgconfig/liblo.pc
%doc ChangeLog INSTALL NEWS README TODO

%changelog
* Tue Feb 20 2024 Automatic Build System <autodist@openmamba.org> 0.32-1mamba
- automatic version update by autodist

* Sun Mar 01 2020 Automatic Build System <autodist@mambasoft.it> 0.31-1mamba
- automatic version update by autodist

* Mon Mar 04 2019 Automatic Build System <autodist@mambasoft.it> 0.30-1mamba
- automatic version update by autodist

* Wed Feb 07 2018 Automatic Build System <autodist@mambasoft.it> 0.29-1mamba
- automatic version update by autodist

* Wed Feb 12 2014 Automatic Build System <autodist@mambasoft.it> 0.28-1mamba
- automatic version update by autodist

* Sat May 25 2013 Automatic Build System <autodist@mambasoft.it> 0.27-1mamba
- automatic version update by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 0.26-1mamba
- automatic update by autodist

* Mon Jan 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.25-1mamba
- automatic update by autodist

* Mon Apr 07 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.24-1mamba
- update to 0.24

* Sat Feb 19 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16-1qilnx
- package created by autospec
